routes/web.php
<?php

/* Route For Main View */
Route::get('/', function () {
    return redirect('/login');
});

/* Route For Auth */
Auth::routes();

/* Route For Main Menu */
Route::group(
    [
        'prefix' => 'admin',
        'middleware' => ['auth', 'role:admin|marketing|operator|ppic|gudang'],
    ],
    function () {
        //Route Home
        Route::get('/home/{tahun}', 'admin\HomeController@index');
        
        //Route User
        Route::resource('master/users', 'Admin\UsersController');

        //Route Raw Material
        Route::resource('master/raws', 'Admin\RawsController');

        //Route Color Type
        Route::resource('master/colors', 'Admin\ColorsController');

        //Route Product Type
        Route::resource('master/products', 'Admin\ProductsController');

        //Route Machine Group
        Route::resource('master/groups', 'Admin\GroupsController');

        //Route Marketing (Delivery Order)
        Route::resource('marketing/orders', 'Admin\MarketingsController');
        Route::get('marketing/orders/get_id/{table}', [
            'as' => 'orders.getId',
            'uses' => 'Admin\MarketingsController@getId',
        ]);
        Route::get('marketing/orders/product_detail/{product_id}', 'Admin\MarketingsController@productDetail');

        //Route Change Password
        Route::get('change_password', [
            'as' => 'change_password',
            'uses' => 'Admin\UsersController@changePassword',
        ]);
        Route::post('store_password', [
            'as' => 'store_password',
            'uses' => 'Admin\UsersController@storeNewPassword',
        ]);

        //Route Incoming
        Route::get('inventory/incomings/create', [
            'as' => 'incomings.create',
            'uses' => 'Admin\InvController@incCreate',
        ]);
        Route::post('inventory/incomings/inc_detail', [
            'as' => 'incomings.inc_detail',
            'uses' => 'Admin\InvController@incDetail',
        ]);
        Route::post('inventory/incomings/inc_finish', [
            'as' => 'incomings.inc_finish',
            'uses' => 'Admin\InvController@incFinish',
        ]);
        Route::get('inventory/incomings/raw_detail/{id}', [
            'uses' => 'Admin\InvController@incRawDetail',
        ]);
        Route::post('inventory/incomings/store', [
            'as' => 'incomings.store',
            'uses' => 'Admin\InvController@incStore',
        ]);
        Route::get('inventory/incomings/get_id/{table}', [
            'as' => 'incomings.getId',
            'uses' => 'Admin\InvController@getId',
        ]);

        //Route Stock Raw Material
        Route::get('inventory/stocks/raw_material', [
            'as' => 'stocks.raw_material',
            'uses' => 'Admin\InvController@rawStock',
        ]);
        Route::get('inventory/stocks/{id}/edit', [
            'as' => 'stocks.edit',
            'uses' => 'Admin\InvController@editStock',
        ]);
        Route::put('inventory/stocks/update/{id}', [
            'as' => 'stocks.update',
            'uses' => 'Admin\InvController@updateStock',
        ]);
        Route::delete('inventory/stocks/{id}', [
            'as' => 'stocks.destroy',
            'uses' => 'Admin\InvController@destroyStock',
        ]);
        Route::delete('inventory/stocks/remove/{id}', [
            'as' => 'stocks.remove',
            'uses' => 'Admin\InvController@removeStock',
        ]);
        
        //Route PPIC SPK Base Material to Coloring Order
        Route::resource('ppic/colorings', 'Admin\PpicsController');
        Route::get('ppic/colorings/get_id/{table}', [
            'as' => 'colorings.getId',
            'uses' => 'Admin\PpicsController@getId',
        ]);
        Route::get('ppic/colorings/do_detail/{table}', 'Admin\PpicsController@doDetail');

        Route::get('ppic/table/{type}', [
            'as' => 'ppic.table',
            'uses' => 'Admin\PpicsController@table',
        ]);

        //Route PPIC SPK to Cutting finish good Roll
        Route::get('ppic/cuttings', [
            'as' => 'cuttings.index',
            'uses' => 'Admin\PpicsController@cuttingIndex',
        ]);
        Route::get('ppic/cuttings/create', [
            'as' => 'cuttings.create',
            'uses' => 'Admin\PpicsController@cuttingCreate',
        ]);
        Route::get('ppic/colorings/get_laminating_id/{table}', [
            'as' => 'colorings.getLaminatingId',
            'uses' => 'Admin\PpicsController@getLaminatingId',
        ]);
        Route::post('ppic/cuttings/store', [
            'as' => 'cuttings.store',
            'uses' => 'Admin\PpicsController@cuttingStore',
        ]);
        Route::get('ppic/cuttings/{cutting}/edit', [
            'as' => 'cuttings.edit',
            'uses' => 'Admin\PpicsController@cuttingEdit',
        ]);
        Route::put('ppic/cuttings/{cutting}', [
            'as' => 'cuttings.update',
            'uses' => 'Admin\PpicsController@cuttingUpdate',
        ]);
        Route::delete('ppic/cuttings/{cutting}', [
            'as' => 'cuttings.destroy',
            'uses' => 'Admin\PpicsController@cuttingDestroy',
        ]);

        //Route Production
        Route::get('production/base', [
            'as' => 'productions.base',
            'uses' => 'Admin\ProductionsController@baseColored',
        ]);
        Route::get('production/base/table_status', 'Admin\ProductionsController@tableStatus');
        Route::get('production/base/do_spk_list/{marketing_id}', 'Admin\ProductionsController@doSpk');
        Route::get('production/base/do_raw_list/{inc_detail_id}', 'Admin\ProductionsController@doRaw');
        Route::post('production/base/base_proccess', 'Admin\ProductionsController@baseProccess');
        Route::post('production/base/raw_colored_store', 'Admin\ProductionsController@rawColoredStore');
        
        Route::get('production/laminating/table_non', 'Admin\ProductionsController@tableStatusLaminatingNon');
        Route::get('production/laminating/table_colored', 'Admin\ProductionsController@tableStatusLaminatingColored');
        Route::post('production/laminating/laminating_proccess', 'Admin\ProductionsController@laminatingProccess');
        Route::get('production/laminating', 'Admin\ProductionsController@laminating');
        Route::get('production/laminating/do_spk_list/{marketing_id}', 'Admin\ProductionsController@doSpkLaminating');
        Route::get('production/laminating/do_raw_list/{color_type}/{ppic_id}', 'Admin\ProductionsController@doRawLaminating');

        Route::post('production/laminating/laminating_colored_store', 'Admin\ProductionsController@laminatingColoredStore');
        Route::post('production/laminating/laminating_colored_store_finish', 'Admin\ProductionsController@laminatingColoredStoreFinish');
        Route::post('production/laminating/laminating_noncolored_store', 'Admin\ProductionsController@laminatingNonColoredStore');
        Route::post('production/laminating/laminating_noncolored_store_finish', 'Admin\ProductionsController@laminatingNonColoredStoreFinish');
        
        Route::get('result/{tahun}/{table}', [
            'as' => 'result.index',
            'uses' => 'Admin\ResultController@index'
        ]);

        Route::get('result_fgs/{tahun}', [
            'as' => 'result.fgs',
            'uses' => 'Admin\ResultController@fgs'
        ]);

        Route::get('result_laminating/{tahun}', [
            'as' => 'result.laminating',
            'uses' => 'Admin\ResultController@laminating'
        ]);

        //SPK FGS
        Route::get('ppic/fgs', [
            'as' => 'fgs.index',
            'uses' => 'Admin\PpicsController@fgsIndex',
        ]);
        Route::get('ppic/fgs/create', [
            'as' => 'fgs.create',
            'uses' => 'Admin\PpicsController@fgsCreate',
        ]);
        Route::post('ppic/fgs/store', [
            'as' => 'fgs.store',
            'uses' => 'Admin\PpicsController@fgsStore',
        ]);
        Route::get('ppic/fgs/{fgs}/edit', [
            'as' => 'fgs.edit',
            'uses' => 'Admin\PpicsController@fgsEdit',
        ]);
        Route::put('ppic/fgs/{fgs}', [
            'as' => 'fgs.update',
            'uses' => 'Admin\PpicsController@fgsUpdate',
        ]);
        Route::delete('ppic/fgs/{fgs}', [
            'as' => 'fgs.destroy',
            'uses' => 'Admin\PpicsController@fgsDestroy',
        ]);

        Route::get('production/fgs', 'Admin\ProductionsController@fgs');

        Route::get('production/fgs/do_spk_list/{marketing_id}', 'Admin\ProductionsController@doSpkFgs');
        Route::post('production/fgs/fgs_proccess', 'Admin\ProductionsController@fgsProccess');
        Route::post('production/fgs/fgs_store', 'Admin\ProductionsController@fgsStore');
        Route::post('production/fgs/fgs_store_finish', 'Admin\ProductionsController@fgsStoreFinish');
    }
);

Route::get('auth/verify/{token}', 'Auth\RegisterController@verify');
Route::get('auth/send-verification', 'Auth\RegisterController@sendVerification');

app/Ppic.php
<?php

namespace App;

use Illuminate\Database\Eloquent\Model;

class Ppic extends Model
{
    
    protected $fillable = ['marketing_id', 'wo_number', 'wo_type', 'wo_date', 'user_id', 'status', 'qty_spk'];

    public function user()
    {
        return $this->belongsTo('App\User');
    }

    public function marketing()
    {
        return $this->belongsTo('App\Marketing');
    }

    public function spkdetail()
    {
        return $this->hasMany('App\SpkDetail');
    }

    public function spkcoloreddetail()
    {
        return $this->hasMany('App\SpkColoredDetail');
    }
    
}

resources/views/admin/ppic/coloring/_doDetail.blade.php
<div class="do-detail">

    <ul class="list-group">
        <li class="list-group-item d-flex justify-content-between align-items-center active">
            Detail Delivery Order (DO)
        </li>

        <li class="list-group-item d-flex justify-content-between align-items-center">
            Tipe Produk
            <span class="badge badge-primary badge-pill">
                <p id="product_type">{{ (empty($spk)) ? '...' : $spk->marketing->product->product_type }}</p>
            </span>
        </li>

        <li class="list-group-item d-flex justify-content-between align-items-center">
            Jenis
            <span class="badge badge-primary badge-pill">
                <p id="type">{{ (empty($spk)) ? '...' : $spk->marketing->product->type }}</p>
            </span>
        </li>

        <li class="list-group-item d-flex justify-content-between align-items-center">
            Stampel
            <span class="badge badge-primary badge-pill">
                <p id="cap">{{ (empty($spk)) ? '...' : $spk->marketing->product->cap }}</p>
            </span>
        </li>

        <li class="list-group-item d-flex justify-content-between align-items-center">
            Warna
            <span class="badge badge-primary badge-pill">
                <p id="color_name">
                    @php
                        if(!empty($spk)) {
                            if(!is_null($spk->marketing->product->color)){
                                echo $spk->marketing->product->color->color_name;
                            }else{
                                echo '...';
                            }
                        }else{
                            echo '...';
                        }
                    @endphp
                </p>
            </span>
        </li>

        <li class="list-group-item d-flex justify-content-between align-items-center">
            Tebal
            <span class="badge badge-primary badge-pill">
                <p id="thick">{{ (empty($spk)) ? '...' : $spk->marketing->product->thick }}</p>
            </span>
        </li>

        <li class="list-group-item d-flex justify-content-between align-items-center">
            Lebar
            <span class="badge badge-primary badge-pill">
                <p id="width">{{ (empty($spk)) ? '...' : $spk->marketing->product->width }}</p>
            </span>
        </li>

        <li class="list-group-item d-flex justify-content-between align-items-center">
            Panjang
            <span class="badge badge-primary badge-pill">
                <p id="length">{{ (empty($spk)) ? '...' : $spk->marketing->product->length }} mm</p>
            </span>
        </li>

        <li class="list-group-item d-flex justify-content-between align-items-center">
            Jumlah
            <span class="badge badge-primary badge-pill">
                <p id="qty">{{ (empty($spk)) ? '...' : $spk->marketing->qty }}</p>
            </span>
        </li>

        <li class="list-group-item d-flex justify-content-between align-items-center">
            Tanggal Permintaan
            <span class="badge badge-primary badge-pill">
                <p id="date_request">{{ (empty($spk)) ? '...' : $spk->marketing->date_request }}</p>
            </span>
        </li>

        <li class="list-group-item d-flex justify-content-between align-items-center">
            Tanggal Pengiriman
            <span class="badge badge-primary badge-pill">
                <p id="date_send">{{ (empty($spk)) ? '...' : $spk->marketing->date_send }}</p>
            </span>
        </li>
        <li style="display:none"></li>
    </ul>

</div>

resources/views/admin/ppic/coloring/_form.blade.php
<div class="form-group group-marketing_id">
    {!! Form::label('marketing_id', 'Nomor Devlivery Order', ['class' => 'col-md-3 control-label']) !!}
    <div class="col-md-9 col-xs-12">
        {!! Form::select('marketing_id',
        ['' => '- Pilih Nomor DO -']+App\Marketing::where('qty', '>', 0)->whereHas('product', function($query){
        $query->where('color_id', '!=', NULL);
        })->get()->pluck('do_number', 'id')->all(),
        (empty($spk)) ? null : $spk->marketing_id, ['class' => 'form-control', 'id' => 'marketing_id']) !!}
    </div>
</div>

<div class="form-group group-wo_number">
    {!! Form::label('wo_number', 'Nomor SPK', ['class' => 'col-md-3 control-label']) !!}
    <div class="col-md-9 col-xs-12">
        {!! Form::text('wo_number', (empty($wo_number)) ? null : $wo_number,
        ['class' => 'form-control', 'style' => 'color:black;cursor:pointer', 'readonly']) !!}
    </div>
</div>

<div class="form-group group-wo_date">
    {!! Form::label('wo_date', 'Tanggal SPK', ['class' => 'col-md-3 control-label']) !!}
    <div class="col-md-9 col-xs-12">
        {!! Form::text('wo_date', null, ['class' => 'form-control wo-date', 'style' => 'color:black;cursor:pointer',
        'readonly']) !!}
    </div>
</div>

@section('scripts')
<script>
    $(document).ready(function () {
        $(".wo-date").datepicker({
            format: 'yyyy-mm-dd'
        });
    });

    $("#marketing_id").on("change", function () {
        var url = "{{ url('admin/ppic/colorings/do_detail') }}/" + $(this).val();
        postData(url, 'get', data = {}, function (err, response) {
            if (response) {
                $.each(response.data, function (key, value) {
                    $("#" + key).html(value);
                });
            } else {
                console.log('ini error : ', err);
            }
        });
    });
</script>
@endsection

resources/views/admin/ppic/coloring/create.blade.php
@extends('admin.layouts.app')

@section('content')
<ul class="breadcrumb">
    <li>PPIC</li>
    <li>SPK Pewarnaan Raw Material</li>
    <li class="active">Tambah Data</li>
</ul>


<div class="page-content-wrap">
    <div class="row row-bg">
        <div class="col-md-12">
            <div class="panel panel-default">
                <div class="panel-heading">
                    <h3 class="panel-title">Form SPK</h3>
                </div>
                
                {!! Form::open(['url' => route('colorings.store'), 
                    'class' => 'form-horizontal form-save', 
                    'method' =>'post', 
                    'data-redirect' => url('admin/ppic/colorings'),
                    'data-rule' => 'update'
                ]) !!}

                <div class="panel-body">
                    <a class="btn btn-default waves-effect" href="{{ route('colorings.index') }}">
                        <i class="fa fa-arrow-left"> Kembali</i>
                    </a>
                    <hr>
                    <div class="row">
                        <div class="col-md-6">
                            @include('admin.ppic.coloring._form')
                            <hr>
                            <table class="table table-striped table-bordered">
                                <thead>
                                    <tr>
                                        <th></th>
                                        <th>PCN</th>
                                        <th>Tipe Raw</th>
                                        <th>Tebal</th>
                                        <th>Lebar</th>
                                        <th>Panjang</th>
                                    </tr>
                                </thead>
                                <tbody>
                                    @foreach ($stocks as $stock)
                                        @if (empty($stock->spkdetail))
                                        <tr>
                                            <td>
                                                <label class="switch">
                                                    {!! Form::checkbox('raw[]', $stock->id, 0, ['id' => 'raw-'.$loop->iteration]) !!}
                                                    <span></span>
                                                </label>
                                            </td>
                                            <td>{{ $stock->raw_pcn }}</td>
                                            <td>{{ $stock->raw->raw_type }}</td>
                                            <td>{{ $stock->raw->thick }}</td>
                                            <td>{{ $stock->raw->width }}</td>
                                            <td>{{ $stock->length }}</td>
                                        </tr>
                                        @endif
                                    @endforeach

                                </tbody>
                            </table>
                        </div>
                        <div class="col-md-6">
                            @include('admin.ppic.coloring._doDetail')
                        </div>
                    </div>
                </div>
                <div class="panel-footer">
                    {!! Form::submit('Simpan', ['class'=>'btn btn-primary pull-right', 'id' => 'btn-save']) !!}
                </div>
                {!! Form::close() !!}
            </div>
        </div>
    </div>
</div>
@endsection

resources/views/admin/ppic/coloring/edit.blade.php
@extends('admin.layouts.app')

@section('content')
<ul class="breadcrumb">
    <li>Produksi</li>
    <li>SPK Pewarnaan Raw Material</li>
    <li class="active">Edit</li>
</ul>

<div class="page-content-wrap">
    <div class="row row-bg">
        <div class="col-md-12">
            <div class="panel panel-default">
                <div class="panel-heading">
                    <h3 class="panel-title">Form SPK</h3>
                </div>

                {!! Form::model($spk, ['url' => route('colorings.update', $spk->id),
                    'class' => 'form-horizontal form-save',
                    'method' =>'put',
                    'data-redirect' => route('colorings.index')
                ]) !!}
                
                <div class="panel-body">
                    <a class="btn btn-default waves-effect" href="{{ route('colorings.index') }}">
                        <i class="fa fa-arrow-left"> Kembali</i>
                    </a>
                    <hr>
                    <div class="row">
                        <div class="col-md-6">
                            @include('admin.ppic.coloring._form')
                            <hr>
                            <table class="table table-striped table-bordered">
                                <thead>
                                    <tr>
                                        <th></th>
                                        <th>PCN</th>
                                        <th>Tipe Raw</th>
                                        <th>Tebal</th>
                                        <th>Lebar</th>
                                        <th>Panjang</th>
                                    </tr>
                                </thead>
                                <tbody>
                                    @foreach ($stocks as $stock)
                                    @if(empty($stock->spkdetail))
                                        <tr>
                                            <td>
                                                <label class="switch">
                                                    {!! Form::checkbox('raw[]', $stock->id, 0, ['id' =>
                                                    'raw-'.$loop->iteration]) !!}
                                                    <span></span>
                                                </label>
                                            </td>
                                            <td>{{ $stock->raw_pcn }}</td>
                                            <td>{{ $stock->raw->raw_type }}</td>
                                            <td>{{ $stock->raw->thick }}</td>
                                            <td>{{ $stock->raw->width }}</td>
                                            <td>{{ $stock->length }}</td>
                                        </tr>
                                    @else
                                        @if ($stock->spkdetail->ppic_id == $spk->id)
                                        <tr>
                                            <td>
                                                <label class="switch">
                                                    {!! Form::checkbox('raw[]', $stock->id, 1, ['id' =>
                                                    'raw-'.$loop->iteration]) !!}
                                                    <span></span>
                                                </label>
                                            </td>
                                            <td>{{ $stock->raw_pcn }}</td>
                                            <td>{{ $stock->raw->raw_type }}</td>
                                            <td>{{ $stock->raw->thick }}</td>
                                            <td>{{ $stock->raw->width }}</td>
                                            <td>{{ $stock->length }}</td>
                                        </tr>
                                        @endif
                                    @endif
                                    @endforeach

                                </tbody>
                            </table>
                        </div>
                        <div class="col-md-6">
                            @include('admin.ppic.coloring._doDetail')
                        </div>
                    </div>
                </div>
                <div class="panel-footer">
                    {!! Form::submit('Simpan', ['class'=>'btn btn-primary pull-right', 'id' => 'btn-save']) !!}
                </div>
                {!! Form::close() !!}
            </div>
        </div>
    </div>
</div>
@endsection

resources/views/admin/ppic/coloring/index.blade.php
@extends('admin.layouts.app')

@section('content')
<ul class="breadcrumb">
    <li>PPIC</li>
    <li class="active">SPK Pewarnaan Raw Material</li>
</ul>

<div class="page-content-wrap">
    <div class="row row-bg">
        <div class="col-md-12">
            <div class="panel panel-default">
                <div class="panel-heading">
                    <h3 class="panel-title">Daftar SPK Pewarnaan Raw Material</h3>
                </div>
                <div class="panel-body">
                    <div class="row">
                        <a class="btn btn-default waves-effect" href="{{ route('colorings.create') }}">Tambah SPK</a>
                        <hr>
                        <div class="col-md-12">
                            <table id="ppics" class="table table-striped table-bordered">
                                <thead>
                                    <tr>
                                        <th width="10%">ID</th>
                                        <th>Nomor Delivery Order</th>
                                        <th>Nomor SPK</th>
                                        <th>Tanggal SPK</th>
                                        <th>Dibuat Oleh</th>
                                        <th>Status</th>
                                        <th width="10%">Action</th>
                                    </tr>
                                </thead>
                                <tfoot>
                                    <tr>
                                        <td></td>
                                        <td>
                                            {!! Form::text('do_number', null, ['class' => 'form-control', 'placeholder' => 'Nomor DO', 'id' => 'do_number']) !!}
                                        </td>
                                        <td>
                                            {!! Form::text('wo_number', null, ['class' => 'form-control', 'placeholder' => 'Nomor SPK', 'id' => 'wo_number']) !!}
                                        </td>
                                        <td>
                                            {!! Form::text('wo_date', null, ['class' => 'form-control', 'placeholder' => 'Tanggal SPK', 'id' => 'wo_date']) !!}
                                        </td>
                                        <td>
                                            {!! Form::text('user', null, ['class' => 'form-control', 'placeholder' => 'Pengguna', 'id' => 'user']) !!}
                                        </td>
                                        <td>
                                            {!! Form::text('status', null, ['class' => 'form-control', 'placeholder' => 'Status', 'id' => 'status']) !!}
                                        </td>
                                        <td></td>
                                    </tr>
                                </tfoot>
                            </table>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>
@endsection

@section('scripts')
<script type="text/javascript">
    $(function () {
        var table = $('#ppics').DataTable({
            processing: false,
            serverSide: true,
            ajax: {
                url: "{{ route('ppic.table', 'Base') }}",
                data: function (d) {
                    d.do_number = $('#do_number').val(),
                    d.wo_number = $('#wo_number').val(),
                    d.wo_date = $('#wo_date').val(),
                    d.user = $('#user').val(),
                    d.status = $('#status').val()
                }
            },
            columns: [{
                    data: 'id',
                    name: 'id'
                },
                {
                    data: 'do_number',
                    name: 'do_number'
                },
                {
                    data: 'wo_number',
                    name: 'wo_number'
                },
                {
                    data: 'wo_date',
                    name: 'wo_date'
                },
                {
                    data: 'user',
                    name: 'user',
                },
                {
                    data: 'status',
                    name: 'status',
                },
                {
                    data: 'action',
                    name: 'action',
                    orderable: false,
                    searchable: false
                }
            ]
        });

        $('#do_number').on('change', function () {
            table.draw();
        });

        $('#wo_number').on('change', function () {
            table.draw();
        });

        $('#wo_date').on('change', function () {
            table.draw();
        });

        $('#user').on('change', function () {
            table.draw();
        });

        $('#status').on('change', function () {
            table.draw();
        });
    });
</script>
@endsection

@section('style')
<style>
    #ppics_filter {
        display: none;
    }
</style>
@endsection